## nginx 1.13.1

=== debian/changelog ===
nginx (1.13.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 27 Jun 2017 09:59:06 +0300

nginx (1.13.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 20 Jun 2017 14:16:52 +0300

nginx (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 31 May 2017 11:41:59 +0300

nginx (1.13.0-1) experimental; urgency=medium

  * New upstream release.
    We now target nginx mainline (1.13.x).

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 10 May 2017 11:40:38 +0300

nginx (1.12.0-1) experimental; urgency=medium

  [ Michael Lustfield ]
  * debian/rules:
    - Configure build flags to work with other arches and downstreams.
      Thanks to Thomas Ward.

  [ Christos Trochalakis ]
  * New upstream release.
  * Patch nginx-upstream-fair to build against nginx 1.11.6.
  * Patch nginx-lua to build against nginx 1.11.11.
  * Patch nginx-echo to build against nginx 1.11.11.
  * Drop curve list patch, it's included upstream.
  * Drop perl build flags patch, it is now handled upstream.
  * Enable SSL Preread builtin module on nginx-full & nginx-extras.
    (Closes: #854214)
  * Switch to debhelper 10, no changes needed.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 05 May 2017 11:16:30 +0300
