=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                po-debconf,
                quilt,
                zlib1g-dev
-Standards-Version: 3.9.8.0
+Standards-Version: 4.0.0
 Homepage: http://nginx.net
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
