=== debian/tests/control ===
Tests: light-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-light, curl

Tests: ec-x25519
Restrictions: allow-stderr isolation-container needs-root
Depends: nginx-light, ssl-cert, curl

Tests: full-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-full, curl

Tests: extras-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-extras, curl

Tests: full-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-full,
         curl,
         libnginx-mod-http-auth-pam,
         libnginx-mod-http-cache-purge,
         libnginx-mod-http-dav-ext,
         libnginx-mod-http-echo,
         libnginx-mod-http-fancyindex,
         libnginx-mod-http-geoip,
         libnginx-mod-http-headers-more-filter,
         libnginx-mod-http-image-filter,
         libnginx-mod-http-lua,
         libnginx-mod-http-perl,
         libnginx-mod-http-subs-filter,
         libnginx-mod-http-uploadprogress,
         libnginx-mod-http-upstream-fair,
         libnginx-mod-http-xslt-filter,
         libnginx-mod-mail,
         libnginx-mod-nchan,
         libnginx-mod-rtmp,
         libnginx-mod-stream

Tests: light-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-light,
         curl,
         libnginx-mod-http-auth-pam,
         libnginx-mod-http-cache-purge,
         libnginx-mod-http-dav-ext,
         libnginx-mod-http-echo,
         libnginx-mod-http-fancyindex,
         libnginx-mod-http-geoip,
         libnginx-mod-http-headers-more-filter,
         libnginx-mod-http-image-filter,
         libnginx-mod-http-lua,
         libnginx-mod-http-perl,
         libnginx-mod-http-subs-filter,
         libnginx-mod-http-uploadprogress,
         libnginx-mod-http-upstream-fair,
         libnginx-mod-http-xslt-filter,
         libnginx-mod-mail,
         libnginx-mod-nchan,
         libnginx-mod-rtmp,
         libnginx-mod-stream

Tests: extras-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-extras,
         curl,
         libnginx-mod-http-auth-pam,
         libnginx-mod-http-cache-purge,
         libnginx-mod-http-dav-ext,
         libnginx-mod-http-echo,
         libnginx-mod-http-fancyindex,
         libnginx-mod-http-geoip,
         libnginx-mod-http-headers-more-filter,
         libnginx-mod-http-image-filter,
         libnginx-mod-http-lua,
         libnginx-mod-http-perl,
         libnginx-mod-http-subs-filter,
         libnginx-mod-http-uploadprogress,
         libnginx-mod-http-upstream-fair,
         libnginx-mod-http-xslt-filter,
         libnginx-mod-mail,
         libnginx-mod-nchan,
         libnginx-mod-rtmp,
         libnginx-mod-stream
