## nginx 1.13.6

=== debian/changelog ===
nginx (1.13.6-2ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:17 +0000

nginx (1.13.6-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - debian/rules: Alter build flags for cflags and ldflags to fix known
      fPIE / fPIC compilation issues (see nginx PPA bug for more details
      and information, LP: #1657596)
    - debian/patches/0002-Make-sure-signature-stays-the-same-in-
      all-nginx-buil.patch:  Refreshed patch - Merge-o-Matic introduced some
      fuzz which caused issues.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 12 Dec 2017 12:15:30 -0500

nginx (1.13.6-2) unstable; urgency=medium

  * rtmp: Ship docs & examples (Closes: #878368)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 13 Oct 2017 12:59:28 +0300

nginx (1.13.6-1) unstable; urgency=medium

  * New upstream version
  * Normalize module paths in packaging repository
  * Bump Standards-Version, no changes needed
  * Drop dh-systemd dependency since we depend on debhelper >= 10

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 12 Oct 2017 10:37:29 +0300

nginx (1.13.5-1) unstable; urgency=medium

  * New upstream version 1.13.5
  * doc: Improve example WordPress configuration
    Thanks to Larry Holish (Closes: #863343)
  * Remove upstart conffile (Closes: #874319)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 06 Sep 2017 10:10:24 +0300

nginx (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4
  * nginx-lua:
    + Add a simple lua autopkgtest
    + Discover LuaJIT 2.1 (FTBFS) (Closes: #873319)
    + Update to v0.10.10
    + Update OpenSSL 1.1 patch
    + Drop patch to build against Nginx 1.11.11, now included upstream
  * tests: Fix race between reload and curl's http request
  * Explicitly disable autoreconf (debhelper 10)
  * Drop Upstart configuration
  * Bump Standards to 4.1.0
    + Switch all packages to Priority optional, extra is considered deprecated

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 29 Aug 2017 10:49:03 +0300
