=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nginx
 Section: httpd
 Priority: optional
-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@lists.alioth.debian.org>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Michael Lustfield <michael@lustfield.net>,
            Christos Trochalakis <ctrochalakis@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 10),
                po-debconf,
-               dh-systemd (>= 1.5),
                dpkg-dev (>= 1.15.5),
                libexpat-dev,
                libgd-dev,
@@ -25,15 +24,15 @@
                po-debconf,
                quilt,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://nginx.net
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
 
 Package: nginx
 Architecture: all
-Depends: nginx-full (<< ${source:Version}.1~) | nginx-light (<< ${source:Version}.1~) | nginx-extras (<< ${source:Version}.1~),
-         nginx-full (>= ${source:Version}) | nginx-light (>= ${source:Version}) | nginx-extras (>= ${source:Version}),
+Depends: nginx-core (<< ${source:Version}.1~) | nginx-full (<< ${source:Version}.1~) | nginx-light (<< ${source:Version}.1~) | nginx-extras (<< ${source:Version}.1~),
+         nginx-core (>= ${source:Version}) | nginx-full (>= ${source:Version}) | nginx-light (>= ${source:Version}) | nginx-extras (>= ${source:Version}),
          ${misc:Depends}
 Description: small, powerful, scalable web/proxy server
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -67,6 +66,40 @@
  .
  This package contains base configuration files used by all versions of
  nginx.
+
+Package: nginx-core
+Architecture: any
+Depends: libnginx-mod-http-geoip (= ${binary:Version}),
+         libnginx-mod-http-image-filter (= ${binary:Version}),
+         libnginx-mod-http-xslt-filter (= ${binary:Version}),
+         libnginx-mod-mail (= ${binary:Version}),
+         libnginx-mod-stream (= ${binary:Version}),
+         nginx-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: nginx (<< 1.4.5-1)
+Provides: httpd, httpd-cgi, nginx
+Conflicts: nginx-extras, nginx-light, nginx-full
+Suggests: nginx-doc (= ${source:Version})
+Description: nginx web/proxy server (standard version)
+ Nginx ("engine X") is a high-performance web and reverse proxy server
+ created by Igor Sysoev. It can be used both as a standalone web server
+ and as a proxy to reduce the load on back-end HTTP or mail servers.
+ .
+ This package provides a version of nginx identical to that of nginx-full,
+ but without any third-party modules, and only modules in the original 
+ nginx code base.
+ .
+ STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser, Empty
+ GIF, FastCGI, Geo, Limit Connections, Limit Requests, Map, Memcached, Proxy,
+ Referer, Rewrite, SCGI, Split Clients, UWSGI.
+ .
+ OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
+ Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
+ Slice, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream,
+ User ID, XSLT.
+ .
+ MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
 
 Package: nginx-full
 Architecture: any
@@ -85,7 +118,7 @@
          ${shlibs:Depends}
 Breaks: nginx (<< 1.4.5-1)
 Provides: httpd, httpd-cgi, nginx
-Conflicts: nginx-extras, nginx-light
+Conflicts: nginx-extras, nginx-light, nginx-core
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (standard version)
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -102,8 +135,8 @@
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
  Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
- Slice, SSI, SSL, Stream, SSL Preread, Stub Status, Substitution, Thread  Pool,
- Upstream, User ID, XSLT.
+ Slice, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream,
+ User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
@@ -112,14 +145,13 @@
 
 Package: nginx-light
 Architecture: any
-Priority: extra
 Depends: libnginx-mod-http-echo (= ${binary:Version}),
          nginx-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: nginx (<< 1.4.5-1)
 Provides: httpd, httpd-cgi, nginx
-Conflicts: nginx-extras, nginx-full
+Conflicts: nginx-extras, nginx-full, nginx-core
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (basic version)
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -140,7 +172,6 @@
 
 Package: nginx-extras
 Architecture: any
-Priority: extra
 Depends: libnginx-mod-http-auth-pam (= ${binary:Version}),
          libnginx-mod-http-cache-purge (= ${binary:Version}),
          libnginx-mod-http-dav-ext (= ${binary:Version}),
@@ -163,7 +194,7 @@
          ${shlibs:Depends}
 Breaks: nginx (<< 1.4.5-1)
 Provides: httpd, httpd-cgi, nginx
-Conflicts: nginx-full, nginx-light
+Conflicts: nginx-full, nginx-light, nginx-core
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (extended version)
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -181,8 +212,7 @@
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
  Gunzip, Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log,
  MP4, Embedded Perl, Random Index, Real IP, Slice, Secure Link, SSI, SSL,
- Stream, SSL Preread, Stub Status, Substitution, Thread Pool, Upstream,
- User ID, XSLT.
+ Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
@@ -249,43 +279,3 @@
  The ngx_http_perl module is used to implement location and variable handlers
  in Perl and insert Perl calls into SSI.
  .
- Note that this module is marked experimental.
-
-Package: libnginx-mod-http-auth-pam
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: PAM authentication module for Nginx
- The nginx_http_auth_pam module enables authentication using PAM.
- .
- The module uses PAM as a backend for simple http authentication. It
- also allows setting the pam service name to allow more fine grained control.
-
-Package: libnginx-mod-http-lua
-Architecture: any
-Depends: libnginx-mod-http-ndk (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Lua module for Nginx
- Embed Lua runtime into nginx.
- .
- This module embeds Lua, via the standard Lua 5.1 interpreter or LuaJIT
- 2.0/2.1, into Nginx and by leveraging Nginx's subrequests, allows the
- integration of the powerful Lua threads (Lua coroutines) into the Nginx event
- model.
-
-Package: libnginx-mod-http-ndk
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Nginx Development Kit module
- The NDK is an Nginx module that is designed to extend the core functionality of
- the excellent Nginx webserver in a way that can be used as a basis of other
- Nginx modules.
- .
- It has functions and macros to deal with generic tasks that don't currently
- have generic code as part of the core distribution. The NDK itself adds few
- features that are seen from a user's point of view - it's just designed to help
- reduce the code that Nginx module developers need to write.
-
-Package: libnginx-mod-nchan
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
