=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@lists.alioth.debian.org>
-Uploaders: Kartik Mistry <kartik@debian.org>,
-           Michael Lustfield <michael@lustfield.net>,
-           Christos Trochalakis <ctrochalakis@debian.org>
+Uploaders: Christos Trochalakis <ctrochalakis@debian.org>, Ervin Hegedus <airween@digitalwave.hu>
 Build-Depends: debhelper (>= 10),
                po-debconf,
                dpkg-dev (>= 1.15.5),
@@ -23,11 +21,12 @@
                libxslt1-dev,
                po-debconf,
                quilt,
-               zlib1g-dev
-Standards-Version: 4.1.1
+               zlib1g-dev,
+               libmodsecurity-dev
+Standards-Version: 4.1.3
 Homepage: http://nginx.net
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nginx/nginx.git
+Vcs-Git: https://salsa.debian.org/nginx-team/nginx.git
+Vcs-Browser: https://salsa.debian.org/nginx-team/nginx
 
 Package: nginx
 Architecture: all
@@ -69,7 +68,8 @@
 
 Package: nginx-core
 Architecture: any
-Depends: libnginx-mod-http-geoip (= ${binary:Version}),
+Depends: iproute2,
+         libnginx-mod-http-geoip (= ${binary:Version}),
          libnginx-mod-http-image-filter (= ${binary:Version}),
          libnginx-mod-http-xslt-filter (= ${binary:Version}),
          libnginx-mod-mail (= ${binary:Version}),
@@ -103,7 +103,8 @@
 
 Package: nginx-full
 Architecture: any
-Depends: libnginx-mod-http-auth-pam (= ${binary:Version}),
+Depends: iproute2,
+         libnginx-mod-http-auth-pam (= ${binary:Version}),
          libnginx-mod-http-dav-ext (= ${binary:Version}),
          libnginx-mod-http-echo (= ${binary:Version}),
          libnginx-mod-http-geoip (= ${binary:Version}),
@@ -135,8 +136,8 @@
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
  Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
- Slice, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream,
- User ID, XSLT.
+ Slice, SSI, SSL, Stream, SSL Preread, Stub Status, Substitution, Thread  Pool,
+ Upstream, User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
@@ -145,7 +146,8 @@
 
 Package: nginx-light
 Architecture: any
-Depends: libnginx-mod-http-echo (= ${binary:Version}),
+Depends: iproute2,
+         libnginx-mod-http-echo (= ${binary:Version}),
          nginx-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -172,7 +174,8 @@
 
 Package: nginx-extras
 Architecture: any
-Depends: libnginx-mod-http-auth-pam (= ${binary:Version}),
+Depends: iproute2,
+         libnginx-mod-http-auth-pam (= ${binary:Version}),
          libnginx-mod-http-cache-purge (= ${binary:Version}),
          libnginx-mod-http-dav-ext (= ${binary:Version}),
          libnginx-mod-http-echo (= ${binary:Version}),
@@ -189,6 +192,7 @@
          libnginx-mod-mail (= ${binary:Version}),
          libnginx-mod-nchan (= ${binary:Version}),
          libnginx-mod-stream (= ${binary:Version}),
+         libnginx-mod-http-modsecurity (= ${binary:Version}),
          nginx-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -212,13 +216,14 @@
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
  Gunzip, Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log,
  MP4, Embedded Perl, Random Index, Real IP, Slice, Secure Link, SSI, SSL,
- Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID, XSLT.
+ Stream, SSL Preread, Stub Status, Substitution, Thread Pool, Upstream,
+ User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
  .
  THIRD PARTY MODULES: Auth PAM, Cache Purge, DAV Ext, Echo, Fancy Index,
  Headers More, Embedded Lua, HTTP Substitutions, Nchan, Upload Progress,
- Upstream Fair Queue.
+ Upstream Fair Queue, ModSecurity.
 
 Package: libnginx-mod-http-geoip
 Architecture: any
@@ -274,8 +279,3 @@
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Replaces: nginx-extras (<< 1.9.14-1)
 Description: Perl module for Nginx
- Embed Perl runtime into nginx.
- .
- The ngx_http_perl module is used to implement location and variable handlers
- in Perl and insert Perl calls into SSI.
- .
