## nginx 1.14.0-0ubuntu1.6+9.0trisquel1

=== debian/changelog ===
nginx (1.14.0-0ubuntu1.6+9.0trisquel1) etiona-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 22:49:49 +0000
