## nginx 1.14.0-0ubuntu1.9%2B9.0trisquel1

=== debian/changelog ===
nginx (1.14.0-0ubuntu1.9+9.0trisquel1) etiona-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 May 2021 18:36:56 +0000

nginx (1.14.0-0ubuntu1.9) bionic-security; urgency=medium

  * SECURITY UPDATE: DNS Resolver issues
    - debian/patches/CVE-2021-23017-1.patch: fixed off-by-one write in
      src/core/ngx_resolver.c.
    - debian/patches/CVE-2021-23017-2.patch: fixed off-by-one read in
      src/core/ngx_resolver.c.
    - CVE-2021-23017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 May 2021 13:11:02 -0400
